Error running program 1.18

Forums Questions on specific programs Error running program 1.18

Tagged: 

This topic contains 3 replies, has 3 voices, and was last updated by Shengzhi Mao April 7, 2020 at 8:26 am.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #1557

    Sergio Bacelar
    User

    I am using a macOS 10.13.5. I have no problems with 2D plotting. Program 1.17 runs fine. Program 1.18 compiles and builds but when I try to run it I get:

    set terminal wxt title  "Gnuplot"
                 ^
    "command135454313d.dat", line 1: unknown or ambiguous terminal type; type just 'set terminal' for a list
    set terminal wxt title  "Gnuplot"
                 ^
    "testdata_c.dat", line 1: unknown or ambiguous terminal type; type just 'set terminal' for a list
    
    set terminal wxt title  "Gnuplot"
                 ^
    "command135454313d.dat", line 1: unknown or ambiguous terminal type; type just 'set terminal' for a list
    #1558

    Fabian Kindermann
    Moderator

    Dear Sergio,

    it is a bit weird that you only see this problem when running program 1.18 and not with program 1.17. Can you do me a favor and open a terminal, type the command gnuplot and then when in the GNUplot program type set terminal. This should give you a list of all terminals available in GNUplot. You should then look up in the list whether wxt is an actual terminal option.

    This problem sometimes arises when users already have an installation of GNUplot on their computer prior to using our installation routines to install it via homebrew. You need some specific commands to include the wxt terminal with a homebrew installation. If you keep having this problem, one option might be to uninstall GNUplot typing into a terminal thecommand

      brew uninstall gnuplot
    

    and then get a fresh clean install for gnuplot using the command

      brew install gnuplot --with-wxmac --with-cairo
    

    Maybe you can check one of these solutions and keep me posted on what happened. Let me know if there are any more questions.

    #1567

    Sergio Bacelar
    User

    Solved!
    wxt was not a terminal option.
    I followed your instructions and now Program 1.18 is running fine.
    Thank you very much.

    #1747

    Shengzhi Mao
    User

    Hi, I hope everyone is safe and healthy. I met an embarrassing situation that I got the same problem as here, but after uninstalling gnuplot, I cannot re-install gnuplot since my MacBook is using MACOS Sierra 10.12.4. It failed to install the gnuplot, now even program 1.17 cannot be run. Is there any other solution for me? Thanks.

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.